"build.command" failed production

Hey community

I am having trouble deploying my application

Here is error upon attempting to deploy

12:23:07 AM: ​
12:23:07 AM: ❯ Version
12:23:07 AM: @netlify/build 3.1.5
12:23:07 AM: ​
12:23:07 AM: ❯ Flags
12:23:07 AM: deployId: 5f288e0b56d56d000886ba92
12:23:07 AM: mode: buildbot
12:23:07 AM: timersFile: /tmp/substage_times.txt
12:23:07 AM: ​
12:23:07 AM: ❯ Current directory
12:23:07 AM: /opt/build/repo
12:23:07 AM: ​
12:23:07 AM: ❯ Config file
12:23:07 AM: No config file was defined: using default values.
12:23:07 AM: ​
12:23:07 AM: ❯ Context
12:23:07 AM: production
12:23:07 AM: ​
12:23:07 AM: ┌───────────────────────────────────┐
12:23:07 AM: │ 1. Build command from Netlify app │
12:23:07 AM: └───────────────────────────────────┘
12:23:07 AM: ​
12:23:07 AM: $ npm run prod
12:23:07 AM: npm ERR! missing script: prod
12:23:07 AM: npm ERR! A complete log of this run can be found in:
12:23:07 AM: npm ERR! /opt/buildhome/.npm/_logs/2020-08-03T22_23_07_813Z-debug.log
12:23:07 AM: ​
12:23:07 AM: ┌─────────────────────────────┐
12:23:07 AM: │ “build.command” failed │
12:23:07 AM: └─────────────────────────────┘
12:23:07 AM: ​
12:23:07 AM: Error message
12:23:07 AM: Command failed with exit code 1: npm run prod
12:23:07 AM: ​
12:23:07 AM: Error location
12:23:07 AM: In Build command from Netlify app:
12:23:07 AM: npm run prod
12:23:07 AM: ​
12:23:07 AM: Resolved config
12:23:07 AM: build:
12:23:07 AM: command: npm run prod
12:23:07 AM: commandOrigin: ui
12:23:07 AM: environment:
12:23:07 AM: - GATSBY_BLOGGER_API_KEY
12:23:07 AM: - GATSBY_BLOGGER_BLOG_ID
12:23:07 AM: publish: /opt/build/repo/public

the site is currently hosted on

my package.json is the following:
{
“name”: “gatsby-starter-default”,
“private”: true,
“description”: “A simple starter to get up and developing quickly with Gatsby”,
“version”: “0.1.0”,
“author”: “Kyle Mathews mathews.kyle@gmail.com”,
“dependencies”: {
“babel-plugin-styled-components”: “^1.10.7”,
“gatsby”: “^2.19.7”,
“gatsby-image”: “^2.2.39”,
“gatsby-plugin-manifest”: “^2.2.39”,
“gatsby-plugin-offline”: “^3.0.32”,
“gatsby-plugin-react-helmet”: “^3.1.21”,
“gatsby-plugin-react-svg”: “^3.0.0”,
“gatsby-plugin-sharp”: “^2.4.5”,
“gatsby-plugin-sitemap”: “^2.2.28”,
“gatsby-plugin-styled-components”: “^3.1.19”,
“gatsby-remark-images”: “^3.1.44”,
“gatsby-source-filesystem”: “^2.1.46”,
“gatsby-source-instagram”: “^0.7.0”,
“gatsby-source-wordpress”: “^3.1.65”,
“gatsby-transformer-remark”: “^2.6.50”,
“gatsby-transformer-sharp”: “^2.3.14”,
“minireset.css”: “^0.0.6”,
“prop-types”: “^15.7.2”,
“react”: “^16.12.0”,
“react-dom”: “^16.12.0”,
“react-helmet”: “^5.2.1”,
“react-markdown”: “^4.3.1”,
“react-player”: “^1.15.2”,
“sharp”: “^0.25.4”,
“styled-components”: “^5.0.1”
},
“devDependencies”: {
“prettier”: “^1.19.1”
},
“keywords”: [
“gatsby”
],
“license”: “MIT”,
“scripts”: {
“build”: “npm run build”,
“develop”: “gatsby develop”,
“format”: “prettier --write “**/*.{js,jsx,json,md}””,
“start”: “npm run develop”,
“serve”: “gatsby serve”,
“clean”: “gatsby clean”,
“test”: “echo “Write tests! -> https://gatsby.dev/unit-testing” && exit 1”
},
“repository”: {
“type”: “git”,
“url”: “https://github.com/gatsbyjs/gatsby-starter-default
},
“bugs”: {
“url”: “https://github.com/gatsbyjs/gatsby/issues
}
}

Help would be greatly appreciated

howdy,

the problem is that you are trying to ask npm to run a command called prod, above.

but, below, in your package.json scripts section, there is no command called prod:

“scripts”: {
“build”: “npm run build”,
“develop”: “gatsby develop”,
“format”: “prettier --write “**/*.{js,jsx,json,md}””,
“start”: “npm run develop”,
“serve”: “gatsby serve”,
“clean”: “gatsby clean”,
“test”: “echo “Write tests! -> https://gatsby.dev/unit-testing” && exit 1”
},

so it errors out as it doesn’t know what to do.

the build command you enter in our UI has to match what is defined in your package.json and that has to match the requirements of your project.